package com.goafanti.common.dao;

import com.goafanti.common.model.FinanceCount;
import com.goafanti.common.model.TTaskMember;
import org.apache.ibatis.annotations.Param;

import java.util.List;


public interface TTaskMemberMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TTaskMember record);

    int insertSelective(TTaskMember record);

    TTaskMember selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TTaskMember record);

    int updateByPrimaryKey(TTaskMember record);

    int updateByTid(TTaskMember ttm);

    TTaskMember selectByTid(int tid);
    List<TTaskMember> selectByOrderNo(String orderNo);

    void updateSplitSuper(@Param("id") Integer id, @Param("serviceLife") String serviceLife,
                          @Param("serviceYear") String serviceYear, @Param("yearSum") Integer yearSum,
                          @Param("contractTerm") String contractTerm);

    void updateServiceYearBySplitSuper(Integer tid);

    List<FinanceCount> selectCountByFinance(String id);
}
